Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZContentObjectPackageInstaller Class Reference
The package manager system

A package creator for content objects. More...

Inheritance diagram for eZContentObjectPackageInstaller:

## Public Member Functions
| __construct ( $package, $type, $installItem)
| packageInitialState ( $package, &$persistentData)
| packageType ( $package, &$persistentData)
| initializeSiteAccess ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateSiteAccess ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| initializeTopNodes ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateTopNodes ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| initializeAdvancedOptions ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateAdvancedOptions ( $package, $http, $currentStepId, &$stepMap, &$persistentData, &$errorList)
| finalize ( $package, $http, &$persistentData)
Public Member Functions inherited from eZPackageInstallationHandler
| __construct ( $package, $type, $installItem, $name=null, $steps=null)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $package, $installItem, $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl, $module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| reset ()

## Public Attributes
| $InstallItem
Public Attributes inherited from eZPackageInstallationHandler
| $Package
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $InstallItem
| $StepMap

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageInstallationHandler
static | instance ( $package, $handlerName, $installItem)

## Detailed Description

A package creator for content objects.

Definition at line 17 of file ezcontentobjectpackageinstaller.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentObjectPackageInstaller::__construct | ( |  | $package,
|  |  | $type,
|  |  | $installItem
| ) |  |

Constructor

Parameters

  eZPackage | $package |
  string | $type |
  mixed | $installItem |

Definition at line 27 of file ezcontentobjectpackageinstaller.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ finalize()

eZContentObjectPackageInstaller::finalize | ( |  | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Finalizes the creation process with the gathered information. This is usually the function that creates the package and adds the proper elements.

Reimplemented from eZPackageInstallationHandler.

Definition at line 193 of file ezcontentobjectpackageinstaller.php.

References eZDebug\writeDebug().

## ◆ initializeAdvancedOptions()

eZContentObjectPackageInstaller::initializeAdvancedOptions | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  |  | $module
| ) |  |

Definition at line 177 of file ezcontentobjectpackageinstaller.php.

## ◆ initializeSiteAccess()

eZContentObjectPackageInstaller::initializeSiteAccess | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  |  | $module
| ) |  |

Definition at line 66 of file ezcontentobjectpackageinstaller.php.

References eZPackageInstallationHandler\rootDOMNode().

## ◆ initializeTopNodes()

eZContentObjectPackageInstaller::initializeTopNodes | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  |  | $module
| ) |  |

Definition at line 111 of file ezcontentobjectpackageinstaller.php.

References eZContentBrowse\browse(), eZContentObjectTreeNode\fetch(), and eZPackageInstallationHandler\rootDOMNode().

## ◆ packageInitialState()

eZContentObjectPackageInstaller::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, content class packages are always stable.

Definition at line 53 of file ezcontentobjectpackageinstaller.php.

## ◆ packageType()

eZContentObjectPackageInstaller::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'contentobject'`.

Reimplemented from eZPackageInstallationHandler.

Definition at line 61 of file ezcontentobjectpackageinstaller.php.

## ◆ validateAdvancedOptions()

eZContentObjectPackageInstaller::validateAdvancedOptions | ( |  | $package,
|  |  | $http,
|  |  | $currentStepId,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Definition at line 187 of file ezcontentobjectpackageinstaller.php.

## ◆ validateSiteAccess()

eZContentObjectPackageInstaller::validateSiteAccess | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Definition at line 96 of file ezcontentobjectpackageinstaller.php.

## ◆ validateTopNodes()

eZContentObjectPackageInstaller::validateTopNodes | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Definition at line 160 of file ezcontentobjectpackageinstaller.php.

References ezpI18n\tr().

## Member Data Documentation

## ◆ $InstallItem

eZContentObjectPackageInstaller::$InstallItem

Definition at line 19 of file ezcontentobjectpackageinstaller.php.

The documentation for this class was generated from the following file:

- ezcontentobjectpackageinstaller.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.